package tome_lib

type GameStatus int
type TargetStatus int

const (
	StatusLobby = iota
	StatusReady
	StatusPlaying
	StatusStop
	StatusSentinalWin
	StatusScourgeWin
	StatusDraw
)

const (
	TargetSelf = iota
	TargetOwn
	TargetOwnEmpty
	TargetOpp
	TargetOppEmpty
	TargetAny
	TargetNone
)

const (
	SentinalID = 1
	ScourgeID  = 2
)

func flipID(i int) int {
	if i == SentinalID {
		return ScourgeID
	} else if i == ScourgeID {
		return SentinalID
	} else {
		return -1
	}
}
